petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscAttachDebugger

Attaches the debugger to the running process.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscAttachDebugger(void)

Not Collective Many br

Many br

Developer Notes: Since this can be called by the error handler should it be calling SETERRQ() and CHKERRQ()? Many br

### See Also

PetscSetDebugger()

Level:advanced
Location:src/sys/error/adebug.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages